Activity log for bug #1249023

Date Who What changed Old value New value Message
2013-11-07 17:00:54 Brad Figg bug added bug
2013-11-07 17:00:56 Brad Figg tags kernel-stable-tracking-bug
2013-11-07 17:00:57 Brad Figg bug added subscriber SRU Verification
2013-11-07 17:01:08 Brad Figg bug added subscriber Ubuntu Stable Release Updates Team
2013-11-07 17:01:11 Brad Figg nominated for series Ubuntu Quantal
2013-11-07 17:01:12 Brad Figg bug task added linux (Ubuntu Quantal)
2013-11-07 18:41:43 Brad Figg description SRU Justification Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from Linus' tree or in a minimally backported form of that patch. The 3.5.7.25 upstream stable patch set is now available. It should be included in the Ubuntu kernel as well. git://kernel.ubuntu.com/ubuntu/linux.git TEST CASE: TBD The following patches are in the 3.5.7.25 stable release: SRU Justification     Impact:        The upstream process for stable tree updates is quite similar        in scope to the Ubuntu SRU process, e.g., each patch has to        demonstrably fix a bug, and each patch is vetted by upstream        by originating either directly from Linus' tree or in a minimally        backported form of that patch. The 3.5.7.25 upstream stable        patch set is now available. It should be included in the Ubuntu        kernel as well.        git://kernel.ubuntu.com/ubuntu/linux.git     TEST CASE: TBD        The following patches are in the 3.5.7.25 stable release: Linux 3.5.7.25 Revert "fs: buffer: move allocation failure loop into the allocator" Linux 3.5.7.24 PCI: fix truncation of resource size to 32 bits can: flexcan: flexcan_chip_start: fix regression, mark one MB for TX and abort pending TX can: flexcan: fix flexcan_chip_start() on imx6 davinci_emac.c: Fix IFF_ALLMULTI setup inet: fix possible memory corruption with UDP_CORK and UFO net: fix cipso packet validation when !NETLABEL net: unix: inherit SOCK_PASS{CRED, SEC} flags from socket to fix race wanxl: fix info leak in ioctl sctp: Perform software checksum if packet has to be fragmented. sctp: Use software crc32 checksum when xfrm transform will happen. net: dst: provide accessor function to dst->xfrm bnx2x: record rx queue for LRO packets connector: use nlmsg_len() to check message length unix_diag: fix info leak farsync: fix info leak in ioctl l2tp: must disable bh before calling l2tp_xmit_skb() net: vlan: fix nlmsg size calculation in vlan_get_size() bridge: Correctly clamp MAX forward_delay when enabling STP ipv6: restrict neighbor entry creation to output flow can: dev: fix nlmsg size calculation in can_get_size() ipv4: fix ineffective source address selection proc connector: fix info leaks net: heap overflow in __audit_sockaddr() net: mv643xx_eth: fix orphaned statistics timer crash net: mv643xx_eth: update statistics timer from timer context only net: do not call sock_put() on TIMEWAIT sockets tcp: do not forget FIN in tcp_shifted_skb() tcp: must unclone packets before mangling them [media] sh_vou: almost forever loop in sh_vou_try_fmt_vid_out() rt2800: fix wrong TX power compensation fuse: hotfix truncate_pagecache() issue nilfs2: fix issue with race condition of competition between segments for dirty blocks powerpc: Restore registers on error exit from csum_partial_copy_generic() powerpc/pseries/lparcfg: Fix possible overflow are more than 1026 writeback: fix negative bdi max pause fs: buffer: move allocation failure loop into the allocator usb-storage: add quirk for mandatory READ_CAPACITY_16 usb: serial: option: blacklist Olivetti Olicard200 USB: quirks: add touchscreen that is dazzeled by remote wakeup dm snapshot: fix data corruption USB: quirks.c: add one device that cannot deal with suspension ARM: 7851/1: check for number of arguments in syscall_get/set_arguments() USB: serial: option: add support for Inovia SEW858 device USB: serial: ti_usb_3410_5052: add Abbott strip port ID to combined table as well. USB: support new huawei devices in option.c xhci: Fix spurious wakeups after S5 on Haswell xhci: quirk for extra long delay for S4 xhci: Don't enable/disable RWE on bus suspend/resume. mm: do not grow the stack vma just because of an overrun on preceding vma mm/mmap: check for RLIMIT_AS before unmapping mm, show_mem: suppress page counts in non-blockable contexts parisc: fix interruption handler to respect pagefault_disable() ext4: fix memory leak in xattr random: allow architectures to optionally define random_get_entropy() KVM: PPC: Book3S HV: Fix typo in saving DSCR drm/radeon: fix hw contexts for SUMO2 asics hwmon: (applesmc) Always read until end of data ALSA: hda - Add fixup for ASUS N56VZ ALSA: snd-usb-usx2y: remove bogus frame checks tile: use a more conservative __my_cpu_offset in CONFIG_PREEMPT random: run random_int_secret_init() run after all late_initcalls watchdog: ts72xx_wdt: locking bug in ioctl Btrfs: change how we queue blocks for backref checking ACPI / IPMI: Fix atomic context requirement of ipmi_msg_handler()
2013-11-07 18:41:52 Brad Figg linux (Ubuntu Quantal): status New Fix Committed
2013-11-07 18:41:56 Brad Figg linux (Ubuntu Quantal): assignee Brad Figg (brad-figg)
2013-11-07 18:42:00 Brad Figg linux (Ubuntu Quantal): importance Undecided High
2013-12-03 01:20:06 Launchpad Janitor linux (Ubuntu Quantal): status Fix Committed Fix Released
2013-12-03 01:20:06 Launchpad Janitor cve linked 2013-4299
2014-01-04 14:46:44 Julian Wiedmann linux (Ubuntu): status New Invalid